## Onbon 6th series Dynamic area protocol package

Simple package to update and delete dynamic areas on Onbon led controllers
listed below:
* BX6QL
* BX6Q1
* BX6Q2
* BX6Q3
* BX6Q2L
* BX6Q3L

Package implements only three commands: **Ping**, **DeleteDynamicArea** 
and **UpdateDynamicArea**.

### Dependencies
* Pillow - for image processing
* libscrc - for crc16 checks

### Example
Example below creates creeping line dynamic area for one minute:

    from onbon import (
        LEDClient, ImageData, DynamicArea, ImageFont,
        Devices, RunModes, DisplayModes
    )
   
    font = ImageFont.truetype('arial.ttf', 12)  # os windows
    text = ImageData.from_text('test test test', (32, 16), font)
    dynamic_area = DynamicArea(
        text,
        runmode=RunModes.CYCLE_TIMEOUT,  # looped with timeout
        displaymode=DisplayModes.CONTINUOUS_MOVE_LEFT,  # creeping line
        timeout=60  # one minute
    )
    led = LEDClient(('192.168.1.15', 5005), Devices.BX6Q2L)
    led.delete_dynamic_areas()  # clears all existing dynamic areas
    led.update_dynamic_areas(dynamic_area)

